[Debian-eeepc-devel] [SCM] Maintenance of eeepc-acpi-scripts debian package branch, master, updated. 2dc98c19595a7ad8c6cb13283f9d74a584dbb0f0

Ben Armstrong synrg at sanctuary.nslug.ns.ca
Wed Apr 16 08:55:42 UTC 2008


The following commit has been merged in the master branch:
commit 2dc98c19595a7ad8c6cb13283f9d74a584dbb0f0
Author: Ben Armstrong <synrg at sanctuary.nslug.ns.ca>
Date:   Wed Apr 16 05:55:14 2008 -0300

    Only suspend when lid is down if a power manager is not running

diff --git a/actions/lid.sh b/actions/lid.sh
new file mode 100755
index 0000000..7b4656e
--- /dev/null
+++ b/actions/lid.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+[ -e /usr/share/acpi-support/policy-funcs ] || exit 0
+
+. /usr/share/acpi-support/policy-funcs
+
+# If powersaved is running, let it process the acpi event
+if pidof powersaved; then
+	exit 0
+fi
+
+if [ `CheckPolicy` = 0 ] ; then
+	exit 0
+fi
+
+[ -e /etc/acpi/actions/suspend.sh ] || exit 0
+
+. /etc/acpi/actions/suspend.sh
diff --git a/events/lid b/events/lid
index 0314790..f674172 100644
--- a/events/lid
+++ b/events/lid
@@ -1,2 +1,2 @@
 event=button/lid LID
-action=/etc/acpi/actions/suspend.sh
+action=/etc/acpi/actions/lid.sh

-- 
Maintenance of eeepc-acpi-scripts debian package



More information about the Debian-eeepc-devel mailing list